System Requirements

Operating System
  • Any 32-bit or 64-bit Microsoft Server platform from Microsoft Windows Server 2012, 2012 R2 and 2016. 
RAM
Minimum 512 MB RAM, with 1 GB or more recommended.
Hard Drive
Minimum 4GB hard drive, with 40GB or more recommended (varies depending on number of users).
CPU
Intel Pentium (minimum)
Database Software

SES 5.x up to SES 6.4

  • 32-bit or 64-bit Microsoft SQL Server 2005 SP4, 2008, 2008 R2, 2012.
  • No-cost basic versions of SQL Server 2008 (Express Edition) or SQL Server 2012 (Express Edition) are available from Microsoft.

SES 6.4 SR1 and newer

  • 32-bit or 64-bit Microsoft SQL Server 2012, 2014 and 2016.
  • No-cost Express version of SQL server 2014, 2012 and 2008.

NOTE: For production implementations of SecureDoc Enterprise Server, WinMagic recommends that the Full Text Indexing feature be enabled in the database engine prior to the installation of SecureDoc Enterprise Server. Database Full Text Indexing is used to advantage in the SESWeb web-based console.

Client Requirements
Operating System

SecureDoc client for Windows:

  • SecureDoc 7.5 SR1 HF10 & SecureDoc 8.2 HF3 & newer: any 32-bit or 64-bit Windows release from Windows 7 SP1 to Windows 10 Redstone5
  • SecureDoc 7.5 SR1 HF8 & SecureDoc 8.2 HF1 & newer: any 32-bit or 64-bit Windows release from Windows 7 SP1 to Windows 10 Redstone4
  • SecureDoc 7.5 SR1 & newer: any 32-bit or 64-bit Windows release from Windows 7 SP1 to Windows 10 Redstone3
  • SecureDoc 7.1SR6 & newer: any 32-bit or 64-bit Windows release from Windows 7 SP1 to Windows 10 Redstone2
  • SecureDoc 7.1SR4 & newer: any 32-bit or 64-bit Windows release from Windows 7 SP1 to Windows 10 Redstone
  • SecureDoc 7.1 – 7.1 SR3: any 32-bit or 64-bit Windows release from Windows 7 SP1 to Windows 10 Threshold 2
  • SecureDoc 7.1 & newer: any 32-bit or 64-bit Windows release from Windows 7 SP1 to Windows 10 Threshold 2
  • SecureDoc 6.5: any 32-bit or 64-bit Windows release from Windows Vista to Windows 8.1
  • SecureDoc 6.1-6.4SR4: any 32-bit or 64-bit Windows release from Windows XP SP3 to Windows 8.1.

SecureDoc client for Windows Server:

  • SecureDoc 6.5 & newer: any 32-bit or 64-bit Windows release from Windows 2008 to Windows 2012 R2
  • SecureDoc 6.1-6.4SR1: any 32-bit or 64-bit Windows release from Windows 2003 to Windows 2012 R2.
RAM
512 MB RAM
Hard Drive
250 MB free space available
CPU
Intel, AMD, Cyrix or compatible processor (1 GHz or better). AES-NI is supported only on some Intel CPUs.
Refer to http://ark.intel.com/MySearch.aspx?AESTech=true
UEFI
  • Unified Extensible Firmware Interface (UEFI) is supported starting from SecureDoc 6.1 only on compatible devices.
    Please see list of supported devices here: http://www.winmagic.com/device-compatibility
  • For devices not certified, UEFI must be run in BIOS Compatibility mode.
Windows 10 Support Policy

WinMagic is committed to supporting the Microsoft release cadence for Windows 10 and is working closely with Microsoft to ensure that SecureDoc software solutions are fully compatible with Windows 10 releases.

To ensure release quality, we actively monitor and test Windows Insider Program (See Here) pre-release builds. WinMagic targets compatibility within 30 days of General Availability (also known as Release to Manufacturing or RTM) releases from Microsoft.

NOTE: Late-breaking changes implemented by Microsoft to a release, or any unresolved compatibility issues raised by WnMagic with Microsoft around a scheduled release, could lead to schedule changes. We will document any changes in this article and communicate such changes to active customers.

Windows 10 Compatibility Matrix
Please refer to the table below for a list of Microsoft releases and the corresponding compatibility with SecureDoc versions. WinMagic Client Support for Windows 10 Updates is aligned with the Microsoft Modern Lifecycle Policy for Windows 10 Enterprise and Education editions (See Here).

Windows 10 Version

Windows 10 Update

Microsoft GA Release Date

SecureDoc Support
(New Install)

SecureDoc Support
(Migration or Windows Update)

Microsoft Lifecycle
(End of Service)

1809, Redstone 5 (RS5)

October 2018 Update

October 2, 2018*

Pending Microsoft Fix

Pending Microsoft Fix

April 12, 2021

1803, Redstone 4 (RS4)

April 2018 Update

May 8, 2018

SD8.2

SD 8.2 HF1

November 10, 2020

1709, Redstone 3 (RS3)

Fall Creators Update

October 17, 2017

SD 7.5 SR1

SD 7.5 SR1

April 12, 2020

1703, Redstone 2 (RS2)

Creators Update

April 11, 2017

SD 7.1 SR6

SD 7.1 SR6

October 8, 2019

1607, Redstone 1 (RS1)

Anniversary Update

August 2, 2016

SD 7.1 SR2A HF3

SD 7.1 SR4

April 9, 2019

1511, Threshold 2

November Update

November 10, 2015

No longer supported

No longer supported

October 10, 2017

 

*Delayed by Microsoft temporarily on October 6, 2018

Related Knowledge Base Articles
Please login to the Customer Portal to find the following Knowledge Base Articles (KBAs) related to Windows 10 updates/compatibility:

KBA Number

Title

000001748

Does SecureDoc Support Windows 10 April 2018 Update/RS4?

000001689

How can I deploy Windows 10 RS2 upgrade using Configuration Manager?

Customer Notification Program

Customers with an active support plan should receive communications at the time of, or prior to, General Availability of Windows 10 RTM releases.
If you are a customer with an active support plan, and do not receive Product Update notification emails, please contact info@winmagic.com to subscribe.

Important

Mac OS X and macOS are supported for enterprise environments via FileVault 2 management support. SecureDoc Enterprise Server is capable of managing FileVault 2 centrally, enforcing encryption policies and removable media encryption.
  • macOS 10.14 to 10.14.1 (Mojave)
    • SecureDoc DMG v8.3 and newer
  • macOS 10.13 to 10.13.6 (High Sierra)
    • Security update on High Sierra 10.13.6 (17G3025)
    • SecureDoc DMG v8.2 and newer
  • macOS 10.12.5 to 10.12.6 (Sierra)
    • Security update on Sierra 10.12.6 (16G1618)
    • SecureDoc 7.1 SR6 HF and newer
  • macOS 10.12.4 (Sierra)
    • SecureDoc 7.1 SR6 and newer
  • macOS 10.12.3 (Sierra)
    • SecureDoc 7.1 SR5 HF1 and newer
  • macOS 10.12.2 (Sierra)
    • SecureDoc 7.1 SR5 and newer
  • Mac OS X and macOS 10.11 to 10.11.6 (El Capitan)
    • SecureDoc 7.1 SR2a and newer
  • Mac OS X and macOS 10.10.5 Security Update (Yosemite)
    • SecureDoc 7.1SR1
  • Mac OS X and macOS 10.10 to 10.11.4 (Yosemite)
    • SecureDoc 6.5 SR3 and newer
  • Mac OS X and macOS 10.9, 10.9.1, 10.9.2, 10.9.5 (Mavericks)
    • SecureDoc 6.5 SR3 and newer
  • Mac OS X and macOS 10.8 to 10.8.5 (Mountain Lion)
    • SecureDoc 6.4 SR1 and newer
  • Mac OS X and macOS 10.7.5 (Lion)
    • SecureDoc 6.3 and newer